Package Scientific :: Package Signals :: Module Models :: Class AveragedAutoRegressiveModel

[frames] | no frames]

# Class AveragedAutoRegressiveModel

    AutoRegressiveModel --+
                          |
                         AveragedAutoRegressiveModel

Averaged auto-regressive model for stochastic process

An averaged model is constructed by averaging the model coefficients of several auto-regressive models of the same order. An averaged model is created empty, then individual models are added.

Instance Methods

__init__(self, order, delta_t) |

add(self, model, weight=1) Adds the coefficients of an autoregressive model to the average. |

Inherited from `AutoRegressiveModel`: `correlation`, `frictionConstant`, `memoryFunction`, `memoryFunctionZ`, `memoryFunctionZapprox`, `poles`, `predictStep`, `spectrum`

Method Details

### __init__(self, order, delta_t)
(Constructor)

Parameters:
  - `order` (`int`) - the order of the model
  - `delta_t` (`float`) - the sampling interval for the time series
Overrides: AutoRegressiveModel.__init__

### add(self, model, weight=1)

Adds the coefficients of an autoregressive model to the average.

Parameters:
  - `model` (AutoRegressiveModel) - an autoregressive model
  - `weight` (`float`) - the weight of the model in the average
Raises:
  - `ValueError` - if the order of the model does not match the order of the average model